#!/bin/sh

ZEPHIR_HOST="172.31.187.30"

. /usr/share/sentinelle/utils/dbs.inc


echo "Type de Serveur : AMON/HORUS/SCRIBE "
read SERVEUR

# Récupération de tous les id de zephir
IDS=`ssh root@$ZEPHIR_HOST "/bin/ls -l /var/lib/zephir/data| egrep "^d" | awk '{print \\$8}'" | sed 's/$/ /g'  | tr -d '\n'`
#echo "ID_ZEPHIR:$IDS"

# Récupération de tous les serveurs id existant dans la base
TABLES=`$DBPersistance "SHOW TABLES"`
echo " Analyse des tables en cours...."
ALLKEYS=" "
COUNT=0
for TABLE in `echo $TABLES`; do
	L=`echo $TABLE | grep ^$SERVEUR"_"`
	if [ $? -eq 0 ] ; then
		echo "$TABLE"
		COUNT=`expr $COUNT + 1`
		# Toutes les clefs de la table
		KEYS=`$DBLatest "SELECT srvkey FROM $TABLE"  | sed 's/$/ /g'  | tr -d '\n'`
		# Evite les doublons
		for KEY in `echo $KEYS`; do
			Z=`echo " $ALLKEYS " | grep " $KEY " `
			if [ $? -ne 0 ] ; then
				ALLKEYS="$ALLKEYS $KEY "
			fi
		done
		#if [ $COUNT -eq 10 ] ; then
		#	break;
		#fi
	fi
done

#echo "ID_ZEPH:$IDS"
#echo "ID_DB:$ALLKEYS"

# Enleve tous les ID Zephir des id de la base
# ie : ne restera donc que les ID qui ne sont pas sur zephir
ALLKEYS=" $ALLKEYS "
for KEY in `echo $IDS` ; do
	ALLKEYS=`echo " $ALLKEYS " | sed "s/\ $KEY\ /\ /"` 
done

#echo "ID_RESTANT:$ALLKEYS"

# Suppression des doublons
ALLKEYS=" $ALLKEYS "
KEYS=""
for KEY in `echo $ALLKEYS`; do
	 Z=`echo $KEYS | grep " $KEY " `
	 if [ $? -ne 0 ] ; then
         	KEYS="$KEYS $KEY "
	 fi
done

echo "Les Identifiants suivants sont présents dans la base mais pas sur Zephir"
echo "$KEYS"
echo -n "Voulez-vous les supprimer de la base Sentinelle o/n ? : "
read REP

if [ "$REP" != "o" ] ; then
	exit
fi


for KEY in `echo $KEYS` ; do
	R=`ssh root@$ZEPHIR_HOST "if [ ! -d /var/lib/zephir/data/$KEY ] ; then echo $KEY ; else echo NO; fi"`
	if [ "$R" != "NO" ] ; then
		/usr/share/sentinelle/utils/delete_serveur.sh $R $SERVEUR
	fi
done

#echo "ALL:$KEYS"




